#include "OthHeadReadyPkg.h"

OthHeadReadyPkg::OthHeadReadyPkg(int a, bool ack) : TelepatiPkg(){
  type=OTHHEADREADY;
  aibo=a;
  needAck=ack;
}

OthHeadReadyPkg::OthHeadReadyPkg(byte* ptr) : TelepatiPkg(ptr){
}


OthHeadReadyPkg::~OthHeadReadyPkg(){
}

TelepatiPkg* OthHeadReadyPkg::clone(){
  OthHeadReadyPkg* clone=new OthHeadReadyPkg(aibo, needAck);
  clone->serialNum=serialNum;
  return clone;
}



byte* OthHeadReadyPkg::getMsg(){
  delete [] message;
  message=createStdHeader(0);
  return message;
}
